Skip to content

Request processing of a file batch into cases

Request

Request processing of a batch of files that were previously uploaded. The fileIds in the request body represent the identifiers of the files returned by the upload endpoint.

This is an asynchronous operation. A successful response confirms that the request has been accepted; the actual case creation is carried out in the background by AI Agents that analyze the file batch to determine which files belong to which case and what role each file plays. Use the returned fileBatchId to track the resulting cases via GET /cases.

The projectId in the request body is the identifier of the project in which the cases will be created.

The optional externalId and externalData fields will be associated with both the file batch and propagated to each case created from it.

Security
OAuth2(Required scopes: cases.write)
Bodyapplication/jsonrequired

Payload for processing the given file batch

caseRoutingKeystring

Routing context applied to every classified case in this batch.

Example:"DE"
fileIdsArray of strings, non-emptyrequired

List of file identifiers to be processed as a batch into cases.

Example:
[ "375514e5-dac7-4b8d-963f-7f7b9e6d3d04", "96844098-0059-4664-95b8-c4c072aa94e3" ]
projectIdstringrequired

Identifier of the project in which the cases will be created.

Example:"69bbd0546290cc2162b433de"
externalIdstring

External identifier of the file batch. Can be used to link the batch with an identifier in your system. Will be propagated to all cases created from this batch.

Example:"batch-0001"
externalDataobject(ExternalData)

Associated external data. Will be applied to the case or to all cases in a batch. Provided as a flat JSON object. The properties are case-insensitive. The maximum amount of properties is limited to 20.

curl -i -X POST \
  https://api.cloud.hypatos.ai/v2/cases/process-file-batch \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fileIds": [
      "bf105800-594d-48df-a5df-4d9d0554708d",
      "3efd83f6-5009-4f9f-bc0c-4891c9a44e06"
    ],
    "projectId": "69bbd0fbf8dbeab5f8db7675"
  }'

Responses

File batch processing request accepted. Cases will be created asynchronously.

Bodyapplication/json
fileBatchIdstringrequired

Identifier of the file batch. Can be used to retrieve the cases created from this batch via GET /cases once processing is complete.

Example:"0e99a5b2-9010-4e86-a906-19c45e903fe8"
fileIdsArray of stringsrequired

List of file identifiers that are part of this batch.

Example:
[ "2a77b5c8-30de-4e35-b078-3bba981cf80c", "2c6fe52d-26c0-4a7a-80a9-97d497b1a078" ]
projectIdstringrequired

Identifier of the project in which the cases will be created.

Example:"69bbd1d72f6eb584a70e79f0"
Response
{ "fileBatchId": "0e99a5b2-9010-4e86-a906-19c45e903fe8", "fileIds": [ "2a77b5c8-30de-4e35-b078-3bba981cf80c", "2c6fe52d-26c0-4a7a-80a9-97d497b1a078" ], "projectId": "69bbd1d72f6eb584a70e79f0" }